package agent

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/agent"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /agent/data/list agent GetAgentDataList
//
// Get data list | 获取data列表
//
// Get data list | 获取data列表
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: DataListReq
//
// Responses:
//  200: DataListResp

func GetAgentDataListHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.DataListReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := agent.NewGetAgentDataListLogic(r.Context(), svcCtx)
		resp, err := l.GetAgentDataList(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
